Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ComponentMoveHandler

Component Mode Handler Class
Contained in: global
Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_ComponentMoveHandler` | `(`const` `CL_Rect`& `move_area`, `CL_Component`* `owner`, `class` `CL_StyleManager`* `style`)`;
``virtual`` | `~CL_ComponentMoveHandler` | `()`;

## Description:

## Function Member Descriptions:

CL_ComponentMoveHandler::CL_ComponentMoveHandler - Component Mode Handler Constructor
`` `CL_ComponentMoveHandler` `(`const` `CL_Rect`& `move_area`, `CL_Component`* `owner`, `class` `CL_StyleManager`* `style`)`;

CL_ComponentMoveHandler::~CL_ComponentMoveHandler - Component Mode Handler Destructor
``virtual`` `~CL_ComponentMoveHandler` `()`;

## Variable Member Descriptions: